Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
account-types
Listar Tipos de Cuenta
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/account-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "keyValue": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

Parámetros de consulta

limit
string

El número máximo de elementos a incluir en la respuesta.

start_date
string

El inicio del período que desea recuperar. También debe incluir el end_date.

end_date
string

El fin del período que desea recuperar. También debe incluir el start_date.

sort_order
string

El orden utilizado para ordenar los resultados.

cursor
string

La posición en un conjunto de datos donde debe comenzar la siguiente página de resultados.

metadata.newField
string

The new field that will be included in the research as metadata.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

items
object[]